# Uses of Interface
org.eclipse.net4j.util.container.IManagedContainer

Packages that use IManagedContainer
Package
Description
org.eclipse.net4j.util
Utility classes.
org.eclipse.net4j.util.concurrent
Utility interfaces and classes commonly useful in concurrent programming.
org.eclipse.net4j.util.container
A framework of notifying collections and wiring containers.
org.eclipse.net4j.util.factory
A framework for factory based instance creation.
org.eclipse.net4j.util.om
Interfaces and classes for platform-independent operations and maintenance (O&M).
org.eclipse.net4j.util.security
Interfaces and classes for security, negotiation, authentication, authorization and cryptography.
org.eclipse.net4j.util.security.operations
org.eclipse.net4j.util.ui
Reusable UI components.
org.eclipse.net4j.util.ui.container
An element wizard framework for managed containers.
org.eclipse.net4j.util.ui.views
Helpers for Eclipse view parts.
org.eclipse.net4j.util.ui.widgets
A library with reusable widgets.

## Uses of IManagedContainer in org.eclipse.net4j.util

Methods in org.eclipse.net4j.util with parameters of type IManagedContainer
Modifier and Type
Method
Description
`static String`
StringUtil.`convert(String str, IManagedContainer container)`
`static String`
StringUtil.`convert(String str, IManagedContainer container, Pattern pattern)`
`static <T> T`
StringUtil.`parse(String str, IManagedContainer container, Class<T> type)`
`static <T> T`
StringUtil.`parse(String str, IManagedContainer container, Class<T> type, boolean enumCaseSensitive)`

## Uses of IManagedContainer in org.eclipse.net4j.util.concurrent

Methods in org.eclipse.net4j.util.concurrent that return IManagedContainer
Modifier and Type
Method
Description
`final IManagedContainer`
DelegableReentrantLock.`getContainer()`
Methods in org.eclipse.net4j.util.concurrent with parameters of type IManagedContainer
Modifier and Type
Method
Description
`static ExecutorService`
ExecutorServiceFactory.`get(IManagedContainer container)`
`static ExecutorService`
ConcurrencyUtil.`getExecutorService(IManagedContainer container)`
`static TimerLifecycle`
TimerLifecycle.DaemonFactory.`getTimer(IManagedContainer container, String name)`
Constructors in org.eclipse.net4j.util.concurrent with parameters of type IManagedContainer
Modifier
Constructor
Description
``
`DelegableReentrantLock(IManagedContainer container)`

## Uses of IManagedContainer in org.eclipse.net4j.util.container

Subinterfaces of IManagedContainer in org.eclipse.net4j.util.container
Modifier and Type
Interface
Description
`interface`
`IPluginContainer`
A `managed container` that is configured by the `extension registry` .
Classes in org.eclipse.net4j.util.container that implement IManagedContainer
Modifier and Type
Class
Description
`class`
`ManagedContainer`
A default implementation of a `managed container`.
Methods in org.eclipse.net4j.util.container that return IManagedContainer
Modifier and Type
Method
Description
`static IManagedContainer`
ContainerUtil.`createContainer()`
`static IManagedContainer`
ContainerUtil.`createPluginContainer()`
Creates a new managed container that discovers factory and element processor registrations in plug-in extensions.
`static IManagedContainer`
ContainerUtil.`getContainer(Object object)`
`IManagedContainer`
IManagedContainerProvider.`getContainer()`
`IManagedContainer`
IManagedContainerFactory.`getManagedContainer()`
Obtains the container that I should use to get my dependencies.
`IManagedContainer`
IManagedContainer.`registerFactory(IFactory factory)`
`IManagedContainer`
IManagedContainer.`unregisterFactory(IFactory factory)`
`IManagedContainer`
ManagedContainer.`unregisterFactory(IFactory factory)`
Methods in org.eclipse.net4j.util.container with parameters of type IManagedContainer
Modifier and Type
Method
Description
`static void`
ContainerUtil.`prepareContainer(IManagedContainer container)`
`Object`
IElementProcessor.`process(IManagedContainer container, String productGroup, String factoryType, String description, Object element)`
`void`
IManagedContainer.ContainerAware.`setManagedContainer(IManagedContainer container)`
Assigns the container that I should use to get my dependencies.

## Uses of IManagedContainer in org.eclipse.net4j.util.factory

Methods in org.eclipse.net4j.util.factory that return IManagedContainer
Modifier and Type
Method
Description
`final IManagedContainer`
TreeFactory.ContainerAware.`getContainer()`
Methods in org.eclipse.net4j.util.factory with parameters of type IManagedContainer
Modifier and Type
Method
Description
`final void`
TreeFactory.ContainerAware.`setManagedContainer(IManagedContainer container)`

## Uses of IManagedContainer in org.eclipse.net4j.util.om

Methods in org.eclipse.net4j.util.om with parameters of type IManagedContainer
Modifier and Type
Method
Description
`void`
OMBundle.`prepareContainer(IManagedContainer container)`

## Uses of IManagedContainer in org.eclipse.net4j.util.security

Methods in org.eclipse.net4j.util.security with parameters of type IManagedContainer
Modifier and Type
Method
Description
`protected IRandomizer`
ChallengeNegotiatorConfigurer.`getRandomizer(IManagedContainer container, String description)`
`protected IUserManager`
ChallengeNegotiatorConfigurer.`getUserManager(IManagedContainer container, String description)`
`Object`
ChallengeNegotiatorConfigurer.`process(IManagedContainer container, String productGroup, String factoryType, String description, Object element)`
`Object`
ResponseNegotiatorInjector.`process(IManagedContainer container, String productGroup, String factoryType, String description, Object element)`

## Uses of IManagedContainer in org.eclipse.net4j.util.security.operations

Methods in org.eclipse.net4j.util.security.operations with parameters of type IManagedContainer
Modifier and Type
Method
Description
`static AuthorizableOperation`
AuthorizableOperationFactory.`getAuthorizableOperation(IManagedContainer container, String operationID)`
`static AuthorizableOperation[]`
AuthorizableOperationFactory.`getAuthorizableOperations(IManagedContainer container)`

## Uses of IManagedContainer in org.eclipse.net4j.util.ui

Methods in org.eclipse.net4j.util.ui with parameters of type IManagedContainer
Modifier and Type
Method
Description
`protected void`
FactoryTypeContentProvider.`connectInput(IManagedContainer input)`
`protected void`
FactoryTypeContentProvider.`disconnectInput(IManagedContainer input)`

## Uses of IManagedContainer in org.eclipse.net4j.util.ui.container

Methods in org.eclipse.net4j.util.ui.container that return IManagedContainer
Modifier and Type
Method
Description
`protected IManagedContainer`
ElementWizard.`getContainer()`
`protected IManagedContainer`
ElementWizardComposite.`getContainer()`
`protected IManagedContainer`
ElementWizardDialog.`getContainer()`
Methods in org.eclipse.net4j.util.ui.container with parameters of type IManagedContainer
Modifier and Type
Method
Description
`void`
ElementWizard.`create(Composite parent, IManagedContainer container, String productGroup, String factoryType, String defaultDescription, ValidationContext context)`
`void`
IElementWizard.`create(Composite parent, IManagedContainer container, String productGroup, String factoryType, String defaultDescription, ValidationContext context)`
Constructors in org.eclipse.net4j.util.ui.container with parameters of type IManagedContainer
Modifier
Constructor
Description
``
`ElementWizardAction(Shell shell, String title, String toolTip, ImageDescriptor image, String productGroup, IManagedContainer container)`
``
`ElementWizardAction(Shell shell, String title, String toolTip, ImageDescriptor image, String productGroup, IManagedContainer container, String defaultFactoryType)`

## Uses of IManagedContainer in org.eclipse.net4j.util.ui.views

Methods in org.eclipse.net4j.util.ui.views that return IManagedContainer
Modifier and Type
Method
Description
`IManagedContainer`
ManagedContainerItemProvider.`getInput()`

## Uses of IManagedContainer in org.eclipse.net4j.util.ui.widgets

Methods in org.eclipse.net4j.util.ui.widgets that return IManagedContainer
Modifier and Type
Method
Description
`IManagedContainer`
CustomizeableComposite.`getContainer()`
Methods in org.eclipse.net4j.util.ui.widgets with parameters of type IManagedContainer
Modifier and Type
Method
Description
`static void`
CustomizeableComposite.`customize(Composite composite, IManagedContainer container, String productGroup, Object data)`